### Hierarchy

- AtomWebTest
  - TestCase

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Accessors

- navigationService

### Methods

- confirmTest
- createViewModel
- delay
- dispose
- expectFailure
- expectWindow
- init
- log
- noWindowRegistered
- openWindowError
- removeExpectedWindow

## Constructors

### constructor

- new TestCase(): TestCase

- Inherited from AtomWebTest.constructor

  Overrides AtomTest.constructor

  - Defined in tests/web/AtomWebTest.ts:14

  #### Returns TestCase

## Properties

### Protected app

app: MockApp

Inherited from AtomTest.app

- Defined in unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Accessors

### navigationService

- get navigationService(): MockNavigationService

- Inherited from AtomWebTest.navigationService

  - Defined in tests/web/AtomWebTest.ts:12

  #### Returns MockNavigationService

## Methods

### confirmTest

- confirmTest(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:34

  #### Returns Promise<any>

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- Inherited from AtomTest.createViewModel

  - Defined in unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from AtomWebTest.dispose

  Overrides TestItem.dispose

  - Defined in tests/web/AtomWebTest.ts:23

  #### Returns Promise<any>

### expectFailure

- expectFailure(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:63

  #### Returns Promise<any>

### expectWindow

- expectWindow(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:79

  #### Returns Promise<any>

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

### noWindowRegistered

- noWindowRegistered(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:11

  #### Returns Promise<any>

### openWindowError

- openWindowError(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:47

  #### Returns Promise<any>

### removeExpectedWindow

- removeExpectedWindow(): Promise<any>

- - Defined in tests/web/window/WindowTest.ts:23

  #### Returns Promise<any>

Generated using TypeDoc